Package org.python.core

# Class exceptions

java.lang.Object
org.python.core.PyObject
org.python.core.exceptions

All Implemented Interfaces:
  `Serializable`, `ClassDictInit`

public class exceptions extends PyObject implements ClassDictInit
The builtin exceptions module. The entire module should be imported from python. None of the methods defined here should be called from java.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.python.core.PyObject

`PyObject.ConversionException`

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`__doc__`

### Fields inherited from class org.python.core.PyObject

`gcMonitorGlobal, TYPE`

## Constructor Summary

Constructors
Constructor
Description
`exceptions()`

## Method Summary

Modifier and Type
Method
Description
`static PyObject`
`bindStaticJavaMethod(String name, Class<?> cls, String methodName)`
`static PyObject`
`bindStaticJavaMethod(String name, String methodName)`
`static void`
`classDictInit(PyObject dict)`
Internal use only.
`static PyObject`
`EnvironmentError()`
`static void`
`EnvironmentError__init__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyObject`
`EnvironmentError__reduce__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyObject`
`EnvironmentError__str__(PyObject self, PyObject[] args, String[] kwargs)`
`static int`
`getEnd(PyObject self, boolean unicode)`
Determine the end position for UnicodeErrors.
`static int`
`getStart(PyObject self, boolean unicode)`
Determine the start position for UnicodeErrors.
`static PyString`
`getString(PyObject attr, String name)`
Ensure a PyString value for UnicodeErrors
`static PyUnicode`
`getUnicode(PyObject attr, String name)`
Ensure a PyUnicode value for UnicodeErrors
`static PyObject`
`KeyError()`
`static PyObject`
`KeyError__str__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyObject`
`SyntaxError()`
`static void`
`SyntaxError__init__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyString`
`SyntaxError__str__(PyObject self, PyObject[] arg, String[] kwargs)`
`static PyObject`
`SystemExit()`
`static void`
`SystemExit__init__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyObject`
`UnicodeDecodeError()`
`static void`
`UnicodeDecodeError__init__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyString`
`UnicodeDecodeError__str__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyObject`
`UnicodeEncodeError()`
`static void`
`UnicodeEncodeError__init__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyString`
`UnicodeEncodeError__str__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyObject`
`UnicodeError()`
`static void`
`UnicodeError__init__(PyObject self, PyObject[] args, String[] kwargs, PyType objectType)`
`static PyObject`
`UnicodeTranslateError()`
`static void`
`UnicodeTranslateError__init__(PyObject self, PyObject[] args, String[] kwargs)`
`static PyString`
`UnicodeTranslateError__str__(PyObject self, PyObject[] args, String[] kwargs)`

### Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### __doc__

public static String __doc__

## Constructor Details

### exceptions

public exceptions()

## Method Details

### classDictInit

public static void classDictInit(PyObject dict)
Internal use only. Do not call this method explicit.

### SyntaxError

public static PyObject SyntaxError()

### SyntaxError__init__

public static void SyntaxError__init__(PyObject self, PyObject[] args, String[] kwargs)

### SyntaxError__str__

public static PyString SyntaxError__str__(PyObject self, PyObject[] arg, String[] kwargs)

### EnvironmentError

public static PyObject EnvironmentError()

### EnvironmentError__init__

public static void EnvironmentError__init__(PyObject self, PyObject[] args, String[] kwargs)

### EnvironmentError__str__

public static PyObject EnvironmentError__str__(PyObject self, PyObject[] args, String[] kwargs)

### EnvironmentError__reduce__

public static PyObject EnvironmentError__reduce__(PyObject self, PyObject[] args, String[] kwargs)

### SystemExit

public static PyObject SystemExit()

### SystemExit__init__

public static void SystemExit__init__(PyObject self, PyObject[] args, String[] kwargs)

### KeyError

public static PyObject KeyError()

### KeyError__str__

public static PyObject KeyError__str__(PyObject self, PyObject[] args, String[] kwargs)

### UnicodeError

public static PyObject UnicodeError()

### UnicodeError__init__

public static void UnicodeError__init__(PyObject self, PyObject[] args, String[] kwargs, PyType objectType)

### UnicodeDecodeError

public static PyObject UnicodeDecodeError()

### UnicodeDecodeError__init__

public static void UnicodeDecodeError__init__(PyObject self, PyObject[] args, String[] kwargs)

### UnicodeDecodeError__str__

public static PyString UnicodeDecodeError__str__(PyObject self, PyObject[] args, String[] kwargs)

### UnicodeEncodeError

public static PyObject UnicodeEncodeError()

### UnicodeEncodeError__init__

public static void UnicodeEncodeError__init__(PyObject self, PyObject[] args, String[] kwargs)

### UnicodeEncodeError__str__

public static PyString UnicodeEncodeError__str__(PyObject self, PyObject[] args, String[] kwargs)

### UnicodeTranslateError

public static PyObject UnicodeTranslateError()

### UnicodeTranslateError__init__

public static void UnicodeTranslateError__init__(PyObject self, PyObject[] args, String[] kwargs)

### UnicodeTranslateError__str__

public static PyString UnicodeTranslateError__str__(PyObject self, PyObject[] args, String[] kwargs)

### getStart

public static int getStart(PyObject self, boolean unicode)
Determine the start position for UnicodeErrors.

Parameters:
  `self` - a UnicodeError value
  `unicode` - whether the UnicodeError object should be unicode
Returns:
  an the start position

### getEnd

public static int getEnd(PyObject self, boolean unicode)
Determine the end position for UnicodeErrors.

Parameters:
  `self` - a UnicodeError value
  `unicode` - whether the UnicodeError object should be unicode
Returns:
  an the end position

### getString

public static PyString getString(PyObject attr, String name)
Ensure a PyString value for UnicodeErrors

Parameters:
  `attr` - a PyObject
  `name` - of the attribute
Returns:
  an PyString

### getUnicode

public static PyUnicode getUnicode(PyObject attr, String name)
Ensure a PyUnicode value for UnicodeErrors

Parameters:
  `attr` - a PyObject
  `name` - of the attribute
Returns:
  an PyUnicode

### bindStaticJavaMethod

public static PyObject bindStaticJavaMethod(String name, String methodName)

### bindStaticJavaMethod

public static PyObject bindStaticJavaMethod(String name, Class<?> cls, String methodName)